#
# spec file for package mutt (Version 1.5.6i)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  cyrus-sasl cyrus-sasl-devel cyrus-sasl-gssapi gettext glibc-i18ndata heimdal heimdal-devel heimdal-lib openssl openssl-devel postfix update-desktop-files

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cyrus-sasl-devel cyrus-sasl-gssapi e2fsprogs-devel gcc gdbm gettext glibc-i18ndata heimdal heimdal-devel heimdal-lib libtool openssl-devel perl postfix rpm update-desktop-files

Name:           mutt
%define ver   1.5.6
License:        GPL
Group:          Productivity/Networking/Email/Clients
URL:            http://www.mutt.org
Provides:       muttssl
Obsoletes:      muttssl
Requires:       smtp_daemon
Autoreqprov:    on
Version:        1.5.6i
Release:        64.9
Summary:        Mail program
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %name-%version.tar.bz2
Source1:        Signature_conversion
Source2:        README.alternates
Patch:          %name-%version.diff
Patch1:         patch-%ver.rr.compressed.bz2
Patch2:         %name-%version-pgpewrap.diff
Patch3:         %name-%version-sendgroupreplyto.diff
Patch4:         %name-%version-configure.diff
Patch5:         %name-%version-patch-config-charset.diff
Patch6:         %name-%version-safe_free-cast.diff
Patch7:         mutt-1.5.6i-imap-saslfix.diff
Patch8:         mutt-1.5.6i-imap-namespace.dif

%description
A very powerful mail user agent. It supports (amongst other nice
things) highlighting, threading, and PGP. It takes some time to get
used to though.



Authors:
--------
    Michael Elkins <me@cs.hmc.edu>
    Thomas Roessler <roessler@does-not-exist.org>

%prep
%setup -q -n mutt-%ver
%patch  -p1
%patch1 -p1
%patch3 -p1
%patch4
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p0
cp Muttrc Muttrc.SuSE
cp %{S:2} .

%build
autoreconf -fi
CFLAGS="-Wall $RPM_OPT_FLAGS -I. -D_GNU_SOURCE"
export CC CFLAGS
./configure $RPM_ARCH-suse-linux \
	--disable-domain \
	--prefix=/usr \
	--datadir=/usr/share \
	--sysconfdir=/etc \
	--mandir=%_mandir \
	--with-docdir=%_defaultdocdir/%name \
	--enable-imap \
	--enable-pop \
	--enable-pgp \
	--with-ssl=/usr \
	--enable-nfs-fix \
	--enable-compressed \
	--with-sasl2 \
	--enable-buffy-size
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT AM_INSTALL_PROGRAM_FLAGS=-s
mv Muttrc.SuSE $RPM_BUILD_ROOT/etc/Muttrc
install -m 755 %{S:1} $RPM_BUILD_ROOT/usr/bin
gzip -9 doc/manu*.txt
# datadir not automatically created:
mkdir -p $RPM_BUILD_ROOT/usr/share/mutt
# mbox manual page conflicts with the one from tin, so rename it
mv $RPM_BUILD_ROOT%_mandir/man5/mbox.5 \
   $RPM_BUILD_ROOT%_mandir/man5/mbox_mutt.5
   %find_lang %name
# We get mime.types from aaa_base
rm -f $RPM_BUILD_ROOT/etc/mime.types
%suse_update_desktop_file -i mutt ConsoleOnly Email

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc doc/manual*.html doc/manual.txt.gz COPYRIGHT INSTALL README* NEWS TODO
%doc doc/PGP-Notes.txt doc/applying-patches.txt doc/devel-notes.txt
%doc contrib/
/usr/bin/flea
/usr/bin/mutt
/usr/bin/muttbug
/usr/bin/pgpewrap
/usr/bin/pgpring
/usr/bin/smime_keys
/usr/bin/Signature_conversion
/usr/share/applications/*.desktop
%_mandir/man1/flea.1.gz
%_mandir/man1/mutt.1.gz
%_mandir/man1/muttbug.1.gz
%_mandir/man1/mutt_dotlock.1.gz
%_mandir/man5/muttrc.5.gz
%_mandir/man5/mbox_mutt.5.gz
/usr/share/mutt
%config(noreplace) /etc/Muttrc

%changelog -n mutt
* Wed Jun 28 2006 - werner@suse.de
- Fix mutt IMAP buffer overflow in namespace parsing (bug #188872)
* Wed Jan 12 2005 - mmj@suse.de
- Fix plain auth for sasl [#49573]
* Thu Apr 15 2004 - mmj@suse.de
- Add the contrib/ directory to the documentation [#38955]
* Fri Mar 26 2004 - mmj@suse.de
- Add # postfix to neededforbuild
* Mon Feb 16 2004 - mmj@suse.de
- People are going to ask over and over again about the alternates
  error, even though it's documented in the manual page, so install
  /usr/share/doc/packages/mutt/README.alternates
* Wed Feb 04 2004 - mmj@suse.de
- Readd cast that got lost when 99%% of a patch was merged upstream
* Wed Feb 04 2004 - mmj@suse.de
- Update to 1.5.6
- Include patch from Jol Riou <joel.riou@normalesup.org> which
  adds a variable config_charset that one may define in a rc file
  that contains non ascii characters (aliases files for
  instance). Where a rc file is sourced, the commands are
  converted from this encoding, so that it works well if you are
  used to working in UTF8 xterms but sometimes have to use a
  latin-encoded terminal.
* Mon Nov 17 2003 - mmj@suse.de
- Use rr.compressed for 1.5.5.1 from the author
* Wed Nov 05 2003 - mmj@suse.de
- Update to mutt-1.5.5.1i which includes the missing files
* Wed Nov 05 2003 - mmj@suse.de
- Update to mutt-1.5.5i which is the last planned development snap-
  shot.
- Remove included/obsoleted patches
- Don't strip explicitly
- For now include snprintf.c and regex.c, they were forgotten in the
  mutt tarball.
* Wed Oct 15 2003 - mmj@suse.de
- Don't build as root
- Cleanup specfile a bit
* Thu Sep 18 2003 - mmj@suse.de
- Fix head syntax [#31228]
* Tue Sep 09 2003 - pthomas@suse.de
- Fix for real :(
* Tue Sep 09 2003 - pthomas@suse.de
- Fix the type-punning patch.
* Thu Sep 04 2003 - sndirsch@suse.de
- fixed attaching signature; ".signature" must be "~/.signature"
* Sat Aug 16 2003 - adrian@suse.de
- install desktop file from kappfinder
* Fri Aug 15 2003 - ro@suse.de
- changed neededforbuild: cyrus-sasl
* Wed Aug 13 2003 - pthomas@suse.de
- Fix all cases of (unnecessary) type-punning, thus no need for
-fno-strict-aliasing.
- Include stdlib.h in lib.h for declaration of exit.
- Fix permissions for mutt-1.4.1i-authsasl.diff
* Wed Aug 13 2003 - mmj@suse.de
- Add a better fix from Brendan Cully to fix [#25026]
- Add -fno-strict-aliasing
* Sat Jul 26 2003 - kukuk@suse.de
- cryus-sasl2 was renamed to cyrus-sasl
* Wed Jul 16 2003 - mmj@suse.de
- Add patch from Brendan Cully to fix DIGEST-MD5 sasl
  authentication. [#25026]
* Wed Jun 11 2003 - mmj@suse.de
- Rename mbox.5 to mbox_mutt.5 to avoid conflict with tin
- Use %%find_lang macro
* Mon Jun 02 2003 - mmj@suse.de
- Add script from Mike Fabian to handle UTF-8 encodings back and
  forth [#27140]
* Tue May 13 2003 - mmj@suse.de
- Use %%defattr
- Package muttbug
* Tue Apr 15 2003 - ro@suse.de
- fixed neededforbuild
* Fri Mar 21 2003 - mmj@suse.de
- Update to 1.4.1 which primarily fixes the imap/utf7.c buffer-
  overflow.
* Fri Jan 24 2003 - mmj@suse.de
- Add --enable-buffy-size which got lost because the maintainer
  kept several versions around
* Thu Jan 23 2003 - mmj@suse.de
- Add patch to use sasl2 instead og sasl
* Mon Jan 06 2003 - mmj@suse.de
- Below action was not A Good Thing[tm] for all, so made it a
  configure option again.
* Fri Nov 15 2002 - mmj@suse.de
- Fold the group reply patch in to always be default behaviour
* Fri Nov 08 2002 - mmj@suse.de
- Apply fresh 1.4 compressed folder patch instead of 1.3.99 repatch
* Sat Nov 02 2002 - mmj@suse.de
- Better version from ME of longline patch
* Fri Nov 01 2002 - mmj@suse.de
- Add patch from Michael Elkins to allow lines > 255 [#16030]
- Make patches have a unique name
- Trim the neededforbuild
* Fri May 31 2002 - ro@suse.de
- changed neededforbuild <slang> to <slang slang-devel>
* Fri May 31 2002 - mmj@suse.de
- Disabled patches that broke IMAP support.
* Wed May 29 2002 - mmj@suse.de
- Updated to the next STABLE Mutt release 1.4, which includes
  improved IMAP and POP support. Better maildir handling,
  improved threading. And lots more, which is better summarized
  on http://www.mutt.org
* Tue May 28 2002 - mmj@suse.de
- Added a patch to allow longer lines [Bug #16030]
- Added a patch to allow mailboxes > 2 GB [Bug #16356]
* Tue May 14 2002 - mmj@suse.de
- Added a patch from Matthias Eckermann to include the original
  To: field in the new To: when doing group reply, and the boolean
  'send_group_reply_to' is set.
* Fri May 03 2002 - mmj@suse.de
- Update to 1.3.99 which is just bugfix release towards 1.4
* Wed Apr 03 2002 - mmj@suse.de
- automake/autoconf fix. Use AC_LIBOBJ instead of LIBOBJS.
* Wed Mar 20 2002 - mmj@suse.de
- Fix segfault in pgpewrap when invoked with incorrect arguments.
  Fixes Bug #15213, patch from axboe@
* Wed Mar 13 2002 - mmj@suse.de
- Make /etc/Muttrc %%config(noreplace)
* Wed Mar 13 2002 - mmj@suse.de
- Updated to 1.3.28
* Sun Feb 24 2002 - mmj@suse.de
- Re-added patches known to work very well, but that was left out
  to evaluate vanilla 1.3.27i:
- Compressed folder support
- Iconv patch that fixes qp problems in multibyte locales
* Thu Feb 14 2002 - schwab@suse.de
- Don't add /usr/include to include search path.
* Mon Feb 04 2002 - mmj@suse.de
- Updated to newest beta-release 1.3.27
* Wed Jan 02 2002 - poeml@suse.de
- add patch-1.2,3.rfc822_terminate.1 which fixes a remote
  exploitable string buffer overflow
  (minus hunks #8 and #10 which are already in 1.3.22.1)
* Tue Sep 18 2001 - bjacke@suse.de
- fix a possible segfault for a certain search pattern
- fix a possible crash scenario when using gpg and attachments
* Tue Sep 04 2001 - bjacke@suse.de
- fix some memory leaks in imap code
- fix bug where non-regular files could be attached
- po updates
* Sun Sep 02 2001 - bjacke@suse.de
- update to 1.3.22.1
* Fri Aug 24 2001 - bjacke@suse.de
- update to 1.3.21 which fixes some MH bugs and others
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Thu Jul 26 2001 - bjacke@suse.de
- update to 1.3.20
- patched to speed up mbox-sort from n^2 to n*log(n)
* Sat Apr 28 2001 - bjacke@suse.de
- another l10n fix
- save manuals gzipped
* Wed Apr 25 2001 - mfabian@suse.de
- remove "fuzzy" in header of ja.po. When the header is marked
  as "fuzzy", the charset will not be written to the .mo file
  and mutt will not show Japanese messages correctly.
- don't convert string received from gettext again, the new
  version of gettext already does the conversion to the charset
  of the current locale.
* Thu Apr 19 2001 - bjacke@suse.de
- fixed a buffer underrun
- fixed possible segfault (#6979)
- redisabled buffy fix
* Sun Mar 25 2001 - bjacke@suse.de
- update to 1.3.16i
- dropped superfluous additional options patch
- add compressed folder patch
- activated buffy fix to circumvent recent NFS a-time problems
* Wed Jan 31 2001 - bjacke@suse.de
- fixed version in specfile
* Thu Jan 25 2001 - bjacke@suse.de
- dropped tmp patch wich did more bad than good
* Wed Jan 10 2001 - bjacke@suse.de
- fixed latest fix
* Tue Jan 09 2001 - bjacke@suse.de
- applied tmp file patch
- added smtp_daemon to requires
* Mon Dec 18 2000 - bjacke@suse.de
- merged muttssl and mutt
* Mon Dec 11 2000 - bjacke@suse.de
- enable fcntl and disable flock locking
* Tue Nov 28 2000 - bjacke@suse.de
- update to 1.3.12i due to glibc 2.2 locale issues
- fixed neededforbuild (bug 4254)
- minor specfile changes
* Mon Sep 04 2000 - vinil@suse.cz
- czech po file corrected
* Mon Jul 31 2000 - werner@suse.de
- Update to 1.2.5i due bug fixes (IMAP, SIGSEGV in curs_main.c)
* Fri Jul 07 2000 - werner@suse.de
- Update to 1.2.4i due to fixes (IMAP, SSL, ...) done in 1.2.3
  and 1.2.4
* Thu Jun 29 2000 - werner@suse.de
- Split spec of mutt and muttssl to avoid conflicts during build
- Use different build root to avoid mixed versions
- Update to 1.2.2i to avoid bugs in SSL code, core dumps, and
  mailbox corruption
* Mon May 15 2000 - werner@suse.de
- Update to new version 1.2i
  * move changes to 1.2i
  * enable SSL for imap
  * add *.rc from contrib path to doc (samples for pgp using)
- Split mutt into mutt and muttssl
* Wed Mar 08 2000 - werner@suse.de
- Disable --enable-exact-address because it fools the users by
  asking questions for nothing.
* Tue Feb 22 2000 - werner@suse.de
- Fix programming bug: ncurses now does what the docu says.
  Therefore use_default_color() should be called only once
  after start_color().
* Tue Jan 25 2000 - werner@suse.de
- New version 1.0.1i with some minor bug fixes
* Tue Jan 25 2000 - kasal@suse.de
- urlview moved to a new package
* Tue Jan 18 2000 - werner@suse.de
- /usr/man -> /usr/share/man
- target is ${RPM_ARCH}-suse-linux and nothing more
* Tue Jan 18 2000 - werner@suse.de
- New mutt version 1.0i
  * patch for two letter year (e.g. 00)
- New urlview version
  * A SuSE url_handler.sh script
  * A SuSE urlview.conf
* Mon Oct 18 1999 - garloff@suse.de
- highlight_unread sometimes didn't work. Fixed.
* Thu Oct 14 1999 - garloff@suse.de
- Added contrib/Pine.rc and Mush.rc to as %%docs
* Wed Oct 13 1999 - garloff@suse.de
- Two new options: "delete_tilde" and "highlight_unread".
  The meaning is obvious ...
* Fri Oct 01 1999 - werner@suse.de
- Added gpg in neededforbuild to get both pgp and gpg
  path included into mutt.
* Tue Sep 28 1999 - werner@suse.de
- Put urlview into mutt package
- Use changes Muttrc instead of my.Muttrc
  * there is no variable web_browser anymore
- Require ispell to get spell feature
- A few sample muttrc and urlview(rc) for aaa_skel
* Tue Sep 28 1999 - ro@suse.de
- update to 1.0pre3
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 20 1999 - florian@suse.de
- update to 0.95.6i
* Wed Apr 14 1999 - ro@suse.de
- use gettext in neededforbuilt (builtin won't work)
* Tue Apr 06 1999 - ro@suse.de
- update to 0.95.4i
* Thu Dec 03 1998 - bs@suse.de
- added sp and sp_libs to neededforbuild
* Wed Dec 02 1998 - bs@suse.de
- use sgmtools instead of linuxdoc for build
* Wed Jul 29 1998 - florian@suse.de
- add security patch
* Sun Jul 19 1998 - florian@suse.de
- update to version 0.93.1i
* Thu Feb 05 1998 - florian@suse.de
- update to version 0.89.1
* Thu Oct 09 1997 - florian@suse.de
- update to version 0.85
* Tue May 20 1997 - florian@suse.de
- update to version 0.74
* Sun Apr 13 1997 - florian@suse.de
- update to new version 0.69
* Tue Jan 28 1997 - florian@suse.de
- update to new version 0.59
- pgp-support is enabled
* Thu Jan 02 1997 - florian@suse.de
- update to version 0.52
* Thu Jan 02 1997 - florian@suse.de
- update to version 0.51
* Thu Jan 02 1997 - florian@suse.de
- update to version 0.50
* Thu Jan 02 1997 - florian@suse.de
- update to version 0.49
* Thu Jan 02 1997 - florian@suse.de
- Neue Version 0.48.1 mit vielen Veraenderungen.
- Anpassungen fuer eine korrekte Host-Absenderadresse.
- Umstieg auf non-sgid-mail spool-Verzeichnis.
* Thu Jan 02 1997 - florian@suse.de
- update to newer version
  Mon Sep  2 03:06:07 MET DST 1996
  new version.
